Subject: Re: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: martin rudalics <[email-masked]>
Date: Tue, 28 Feb 2017 10:46:32 +0100

> After bisecting, I find that if I omit the last two lines, the GTK
 > warning is not emitted. Either or both of these two lines is
 > sufficient to produce the warning message:
 >
 >    $ src/emacs -Q --eval "(make-frame '((left . 0)))"
 >
 >    (emacs:13000): Gtk-WARNING **: gtk_window_parse_geometry() called on a window with no visible children; the window should be set up before gtk_window_parse_geometry() is called.
 >
 >    $ src/emacs -Q --eval "(make-frame '((top . 0)))"
 >
 >    (emacs:13008): Gtk-WARNING **: gtk_window_parse_geometry() called on a window with no visible children; the window should be set up before gtk_window_parse_geometry() is called.
 >
 >    $ src/emacs -Q --eval "(make-frame '((left . 0)(top . 0)))"
 >
 >    (emacs:13020): Gtk-WARNING **: gtk_window_parse_geometry() called on a window with no visible children; the window should be set up before gtk_window_parse_geometry() is called.

Thanks, I see now.  For some reason I was convinced that the visibility
settings in frameset were involved.

martin